## oarc-dsc 2.15.2

=== doc/Makefile ===

.SUFFIXES: .fig .eps .png

FIGS=\
	dsc-arch.eps \
	screenshot1.eps

DOC=dsc-manual

$(DOC).pdf: $(DOC).ps
	ps2pdf $(DOC).ps > $@

$(DOC).ps: $(DOC).dvi
	dvips $(DOC).dvi > $@

$(DOC).dvi: $(DOC).tex $(FIGS)
	latex $(DOC).tex
	latex $(DOC).tex
	latex $(DOC).tex

.fig.eps:
	fig2dev -L eps $< > $@

.png.eps:
	pngtopnm $< | pnmtops -noturn > $@


all: $(DOC).ps $(DOC).pdf

clean-junk:
	rm -f $(FIGS)
	rm -f $(DOC).aux
	rm -f $(DOC).dvi
	rm -f $(DOC).log
	rm -f $(DOC).toc

clean: clean-junk
	rm -f $(DOC).pdf
	rm -f $(DOC).ps

clean-release: clean-junk
	rm -f $(DOC).tex
	rm -f dsc-arch.fig
	rm -f screenshot1.png
	rm -f Makefile

=== debian/changelog ===
oarc-dsc (2.15.2-3) sid; urgency=medium

  * Simplifying watch file.
  * Adding missing build-depends on dh-sequence-python3.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 04:51:48 +0200

oarc-dsc (2.15.2-2) sid; urgency=medium

  * Using codenames instead of suitenames in changelog.

 -- Daniel Baumann <daniel@debian.org>  Sun, 13 Apr 2025 12:59:09 +0200

oarc-dsc (2.15.2-1) sid; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Mar 2025 08:42:46 +0100

=== debian/control ===
Source: oarc-dsc
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libdnswire-dev,
 libgeoip-dev,
 libmaxminddb-dev,
 libpcap-dev,
 libuv1-dev,
 pkgconf,
 python3,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://www.dns-oarc.net/tools/dsc
Vcs-Browser: https://forgejo.debian.net/dns-oarc/oarc-dsc
Vcs-Git: https://forgejo.debian.net/dns-oarc/oarc-dsc

Package: oarc-dsc
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 oarc-dsc-datatool,
Description: DNS Statistics Collector
 DNS Statistics Collector (DSC) is a tool used for collecting and exploring
 statistics from busy DNS servers. It can be set up to run on or near
 nameservers to generate aggregated data that can then be transported to
 central systems for processing, displaying and archiving.
 .
 Together with dsc-datatool the aggregated data can be furthur enriched
 and converted for import into for example InfluxDB which can then be
 accessed by Grafana for visualzation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --with=python3

override_dh_auto_configure:
	dh_auto_configure -- --docdir=/usr/share/doc/oarc-dsc --enable-dnstap

execute_after_dh_auto_install:
	# removing unused files
	rm -f debian/oarc-dsc/usr/share/doc/oarc-dsc/LICENSE
	rm -f debian/oarc-dsc/usr/share/doc/oarc-dsc/README.md
	rm -f debian/oarc-dsc/usr/share/doc/oarc-dsc/UPGRADE.md

override_dh_auto_test:
	dh_auto_test --no-parallel

=== debian/watch ===
version=4
https://github.com/DNS-OARC/dsc/tags .*/v?(\d.*)@ARCHIVE_EXT@
